| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Utils.Function

Synopsis

iterate' :: Integral i => i -> (a -> a) -> a -> a

Documentation

iterate' :: Integral i => i -> (a -> a) -> a -> a | Source

``iterate'` n f x` applies `f` to `x` `n` times and returns the result. The applications are calculated strictly.
Produced by Haddock version 2.4.2